Summary:        Recursively copy perl data types
Name:           perl-Clone
Version:        0.46
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Clone
Source0:        https://cpan.metacpan.org/modules/by-module/Clone/Clone-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make perl-devel
BuildRequires: perl(Test::More) perl(utf8) perl(warnings)
BuildRequires: perl(Exporter) perl(strict) perl(vars) perl(B) perl(B::COW) >= 0.004
BuildRequires: perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(AutoLoader) perl(DynaLoader)


%{?perl_default_filter}

%description
This module provides a clone() method that makes recursive
copies of nested hash, array, scalar and reference types,
including tied variables and objects.

clone() takes a scalar argument and an optional parameter that
can be used to limit the depth of the copy. To duplicate lists,
arrays or hashes, pass them in by reference.

%prep
%autosetup -n Clone-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md
%{perl_vendorarch}/auto/Clone/
%{perl_vendorarch}/Clone.pm
%{_mandir}/man3/Clone.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.46-2
- Rebuilt for loongarch release

* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.46-1
- Upgrade to version 0.46

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.45-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.45-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.45-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.45-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 0.45-1
- initial build
